Skip to main content
GET
/
api
/
v1
/
notifications
List notifications for the current user
curl --request GET \
  --url https://api.devhelm.io/api/v1/notifications \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "type": "<string>",
      "title": "<string>",
      "read": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "body": "<string>",
      "resourceType": "<string>",
      "resourceId": "<string>"
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Query Parameters

unreadOnly
boolean
default:false
page
integer<int32>
default:0
size
integer<int32>
default:20

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null